Get environment type links
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environment-types/{environmentTypeId} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environment-types/{environmentTypeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environment-types/{environmentTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"attributes": {}
}Environment Type
Get environment type links
Lists the endpoints used to retrieve info about the environment type.
GET
/
projects
/
{projectId}
/
environment-types
/
{environmentTypeId}
Get environment type links
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on June 16, 2026
Was this page helpful?
⌘I